using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_TuPianCaiJi_LanMu_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除采集栏目", "网站后台", "删除采集栏目", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("47");

        String[] IDS = Request.QueryString["ID"].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

        SqlCommand 语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_图片采集_栏目] WHERE [ID]=@ID", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = 0;

        for (int i = 0; i < IDS.Length; i++)
        {
            语句.Parameters["@ID"].Value = Convert.ToInt32(IDS[i]);
            语句.ExecuteNonQuery();
        }

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
